# Moved Suppression

#### Resource URL

```
    POST    https://hosted.mastersoftgroup.com/harmony/rest/{locale}/movedSuppression
    
```

#### Request

The request body is an [AddressRestRequest ](/loqate-harmony-api/api-specification/objects/address-objects.md#addressrestrequest)object:

```
    {
        "payload": [ { "id": "12345678" } ], "sourceOfTruth": "AUPAF"
    }
    
```

#### Response

The response body is an [AddressRestResponse ](/loqate-harmony-api/api-specification/objects/address-objects.md#addressrestresponse)object:

```
    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "fullAddress":null,
                "country":null,
                "postcode":null,
                "street2":null,
                "street":null,
                "streetNumber":null,
                "postal":null,
                "postalType":null,
                "postalNumber":null,
                "buildingName":null,
                "subdwelling":null,
                "eid":null,
                "lotNumber":null,
                "flatUnitNumber":null,
                "flatUnitType":null,
                "floorLevelNumber":null,
                "floorLevelType":null,
                "streetSuffix":null,
                "streetType":null,
                "streetName":null,
                "attributes": {
                    "moved_suppression_date":"2004-05-27",
                    "moved_suppression_consent_indicator":"N"
                },    
                "id":"12345678",
                "state":null,
                "locality":null                
            }
        ]
    }
    
```

If the moved suppression data is not found using the supplied id (DPID):

```
    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "fullAddress":null,
                "country":null,
                "postcode":null,
                "street2":null,
                "street":null,
                "streetNumber":null,
                "postal":null,
                "postalType":null,
                "postalNumber":null,
                "buildingName":null,
                "subdwelling":null,
                "eid":null,
                "lotNumber":null,
                "flatUnitNumber":null,
                "flatUnitType":null,
                "floorLevelNumber":null,
                "floorLevelType":null,
                "streetSuffix":null,
                "streetType":null,
                "streetName":null,
                "attributes":{"moved_suppression":"not.found"},    
                "id":"12345678",
                "state":null,
                "locality":null                
            }
        ]
    }
    
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/moved-suppression.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
